.site-navbar {
    background-color: transparent;
    color: #f9f9f9;
    margin-bottom: 0px;
    z-index: 1999;
    position: fixed;
    top: 2rem;
    width: 100vw;
    padding-left: 0;
    padding-right: 0;
    left: 0;
    right: 0;

    a {
        color:#f9f9f9;
    }

    a:hover{
        color: #12243C;
    }

    .row {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
        margin-right: -15px;
        margin-left: -15px;
    }

    .site-logo {            
        position: relative;
        left: 0;
        font-size: 16px !important;
        width: 350px;
    }

    .site-menu {
        padding-left: 0;
        margin-left: 0;
        list-style: none;
        display: flex;
        flex-direction: column;
        width: 100%;
        margin-bottom: 0;
        margin-right: auto;
    }

    .site-navbar .container {
        max-width: 100%;
        padding-left: 15px;
        padding-right: 15px;
    }

    .site-menu > li {
        display: inline-block;
    }

    .site-menu .active > a span {
        background: #4E97E0;
        color: #fff;
        border-radius: 30px;
        display: inline-block;
        padding: 5px 20px;
    }

    .site-menu > li > a > span {
        padding: 5px 20px;
        display: inline-block;
        -webkit-transition: .3s all ease;
        -o-transition: .3s all ease;
        transition: .3s all ease;
        border-radius: 30px;
    }
    
    .site-navigation {
        display: block;
        position: relative !important;
        text-align: right;
    }
    
    .navbar-toggler {
    border: none;
    }

    .navbar-toggler-icon {
        background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' viewBox='0 0 30 30'%3E%3Cpath stroke='rgba(249,249,249,1)' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E");
        border-radius: 4px;
    }

    .collapse {
        background-color: #12243cf8;
        padding: 20px;
        border-radius: 10px;
      }
      
      .collapse ul {
        list-style: none;
        padding: 0;
        margin: 0;
      }
      
      .collapse li {
        margin-bottom: 10px;
      }
      
      .collapse a {
        color: #f9f9f9;
        text-decoration: none;
      }
      
      .collapse a:hover {
        color: #337ab7;
      }
      
      .collapse .active a {
        color: #337ab7;
      }
}

.scrolled {
    top: 0 !important;
    padding: 20px;
    background-color: #12243cf8 !important; /* Background color after scroll */
}

.header-background {
    height: 100vh;
    width: 100%;
    position: relative;
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    
    .header-title {
        display: block;
        color:#f9f9f9;
        position: absolute;
        bottom: 25px;
        padding: 100px;
    }

    h1 {
        font-family: Georgia, serif;
        font-size: 64px;
    }

    .title {
        
        color: #4E97E0;
    }

    span {
        font-weight: bolder;
    }

    .btn {
        margin-top: 30px;
        padding: 10px 20px;
        background-color: #4E97E0;
        color: #f9f9f9;
    }

    .btn:hover {
        background-color: #001026;
        color: #f9f9f9;
    }

    .custom-line {
        display: inline-block;
        width: 150px;
        height: 10px; /* Thickness of the line */
        background-color: #f9f9f9; /* Color of the line */
        margin-left: 10px; /* Spacing between the word "Affordable" and the line */
        vertical-align: middle;
    }
    
}

.header-overlay {
    height: 100vh;
    width: 100%;
    background-color: #12243c9e;
    position:absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 0;
}

.pages-header-background {
    position: relative; /* Add this so the overlay covers the whole background */
    min-height: 650px;
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;

    .page-header-overlay {
        background-color: #12243c9e;
        position:absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 0;
    }
    
    .header-title {
        display: block;
        color: #f9f9f9;
        position: absolute;
        bottom: 5px;
        padding: 100px;
    }
    
    h1 {
        font-family: Georgia, serif;
        font-size: 64px;
    }
    
    span {
        font-size: 30px;
        text-shadow: 1px 1px 4px rgba(18, 36, 60, 0.911);
        color: #4E97E0;
    }

    .title {
        letter-spacing: 4px;
        font-weight: 500;
    }
    
    .custom-line {
        display: inline-block;
        width: 150px;
        height: 10px;
        background-color: #f9f9f9;
        margin-left: 10px;
        vertical-align: middle;
    }
    
    .btn {
        margin-top: 30px;
        padding: 10px 20px;
        background-color: #4E97E0;
        color: #f9f9f9;
    }
    
    .btn:hover {
        background-color: #001026;
        color: #f9f9f9;
    }

    .navbar-toggler {
        position: inherit;
        border-color: transparent;
    }

    .navbar-toggler-icon {
        display: inline-block;
        width: 1.5em;
        height: 1.5em;
        vertical-align: middle;
        background-image: var(--bs-navbar-toggler-icon-bg);
        background-repeat: no-repeat;
        background-position: center;
        background-size: 100%;
    }
}

/*--------------------------------*/

/* ==============
About Us Section 
============== */
.about-us-section {
    padding: 50px 100px;

    .container {
        padding:30px;
    }

    h5 {
        color: #4E97E0;
    }

    h1 {
        font-weight: bolder;
    }

    .title {
        text-align: left;
    }

    .title p {
        font-size: 22px;
        padding: 30px 0;
    }

    .btn {
        background-color: #fff;
        border: 1px solid #4E97E0;
        color: #4E97E0;
        float: right;
    }
    .btn:hover {
        background-color: #4E97E0;
        color: #f9f9f9;
    }

    i {
        font-size: 24px;
        color: #4E97E0;
    }

    .core-values {
        padding-top: 30px;
        color: #4E97E0;
    }
    
    .img-fluid {
        display: block;
        margin-right: 300px;   
        width: 100%;
        height: auto;
        object-fit: cover;
    }

    .logo img {
        max-height: 300px;
        object-fit: contain;
    }
    
    
}

/* About Us Page */
.about-us-page {
    padding: 50px 100px;

    .title {text-align: center;
        margin-bottom: 80px;}
    
    h1 {margin-bottom: 15px;}

    .title p {
        margin-top: 15px;
        padding: 0 100px;
    }

    h2 {
        color: #4E97E0;
    }

    .hr-line {
        opacity: 100% !important;
        margin: auto;
        width: 30rem;
        border: 4px solid #4E97E0;
        border-radius: 10px;
    }

    .promo-box-style-one {
        position: relative;
        padding: 25px 60px;
        border: 1px solid #e1e1e1;
        background: #ffffff;
        margin: 60px 0 0 -35px;
        z-index: 1;
    }

    .image-hover-style-one-wrap {
        position: relative;
        transition: all 1.5s ease .1s;
    }

    .image-hover-style-one {
        position: relative;
        margin-bottom: 25px;
    }


}

.core-values-page {
    padding: 50px;
    background-color: #12243c20;

    .title {
        text-align: center;
        margin-bottom: 0;
    }
    
    .single-item {
        position: relative;
        width: 250px;
        height: 300px;
        z-index: 1;
        padding: 25px 20px;
        border-radius: 8px;
        overflow: hidden;
        background-color: #ffffff;
        transition: 0.4s;
        margin-top: 35px;
    }

    .icon {
        font-size: 48px;
        color: #4E97E0;
        margin-bottom: 15px;
    }

    .corevalues-number-bg {
        position: absolute;
        z-index: -1;
        right: 5px;
        bottom: -30px;
    }

    .corevalues-number-bg span {
        color: rgba(69, 174, 223, 0.157);
        font-size: 10rem;
        font-weight: 700;
        line-height: 1;
    }
}

.our-team {
    padding: 50px 100px;

    .team-area .section-title {
        margin-bottom: 35px;
    }

    .section-title {
        text-align: center;
        line-height: 1.5;
    }

    .single-team-box {
        margin-top: 30px;
        overflow: hidden;
        -webkit-transition: 0.5s;
        transition: 0.5s;
    }

    .team-image {
        position: relative;
        z-index: 1;
        border-radius: 5px;
        overflow: hidden;
    }

    .team-image::before {
        content: "";
        position: absolute;
        z-index: 2;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        opacity: 0;
        visibility: hidden;
        background-color: #000;
        -webkit-transition: 0.5s;
        transition: 0.5s;
    }

    .single-team-box .team-image img {
        width: 100%;
        height: auto;
        border-radius: 50%;
        -webkit-transition: 0.5s;
        transition: 0.5s;
    }

    img {
        max-width: 100%;
        height: auto;
        border-radius: 5px;
    }

    .team-info {
        text-align: center;
        padding: 20px 15px 0px;
        -webkit-transition: 0.5s;
        transition: 0.5s;
    }
    .team-info span {
        color: #4E97E0;
        font-size: 16px;
        font-weight: 500;
        display: block;
    }
}

/* ==============
End of About Us Section 
============== */

/*--------------------------------*/

/* ==============
Partnerships Section 
============== */
.partnerships-section {
    background-color: #12243C;
    padding: 50px;
    text-align: center;
    height: fit-content;

    h1 {
        color: #4E97E0;
    }
    
    .single-table{
        background-color: #f9f9f9;
        border-radius: 10px;
        padding: 10px;
        position: relative;
        overflow: hidden;
        margin: 10px 0;
        transition: all 0.3s ease-in-out;
        margin-bottom: 30px;
    }

    .table-head {
        position: relative;
        text-align: center;
        align-items: center;
        padding: 10px;
    }

    .table-head p {
        margin-bottom: 0 !important;
    }

    .title {
        text-align: center;
        margin-bottom: 30px;
    }

    .cute-underline {
        font-size: 18px;
        font-weight: 600;
        color: #4E97E0;
        text-decoration: none;
        position: relative;
    }

    .cute-underline::after {
        content: '';
        position: absolute;
        left: 0;
        bottom: -3px; 
        height: 2px;
        background-color: #f9f9f9; 
        transition: width 0.3s ease; 
      }
      
    .cute-underline:hover::after {
        width: 100%; 
    }

    .cute-underline:hover {
        color: #f9f9f9 !important;
    }
    
}

/* Partnerships Page */
.partnerships-page {
    padding: 50px 100px;

    .title {text-align: center;
        margin-bottom: 80px;}
    
    h1 {margin-bottom: 15px;}

    .title p {
        margin-top: 15px;
        padding: 0 100px;
    }

    .hr-line {
        margin: auto;
    }

    .single-table{
        border: 1px solid #ddd;
        box-shadow: 1px 10px 8px #ddd;
        margin-bottom: 40px;
        background: #fff;
        position: relative;
        z-index: 1;
    }

    .single-table-info {
        padding: 20px;
    }

    h4 {
        color: #226db8;
    }
}

/* ==============
End of Partnerships Section 
============== */

/*--------------------------------*/

/* ==============
Services Section 
============== */
.services-section {
    padding: 50px 100px;
    background-color: #12243c20 ;

    .single-table{
        background-color: #f9f9f9;
        border: 1px #4E97E0 solid;
        border-radius: 10px;
        padding: 10px;
        position: relative;
        overflow: hidden;
        margin: 10px 0;
        transition: all 0.3s ease-in-out;
        margin-bottom: 30px;
    }

    .table-head {
        position: relative;
        text-align: left;
        align-items: center;
        padding: 10px;
    }

    .table-head p {
        text-align: left;
        margin-bottom: 0 !important;
    }

    .title {
        margin-bottom: 30px;
    }

    .icon {
        color: #4E97E0;
        font-size: 48px;
    }

    h1, p {
        text-align: end;
        margin-bottom: 15px;
    }
     
    p {margin-top: 15px;}

    .hr-line {
        margin-left: auto; 
        margin-right: 0;
    }

    .btn {
        background-color: #fff;
        border: 1px solid #4E97E0;
        color: #4E97E0;
        float: right;
    }
    
    .btn:hover {
        background-color: #4E97E0;
        color: #f9f9f9;
    }

    .services-description {
        margin: 100px 0;
    }
}

/* Services Page */
.services-page {
    padding: 50px 100px;

    .title {text-align: center;
        margin-bottom: 80px;}
    
    h1 {margin-bottom: 15px;}

    .title p {
        margin-top: 15px;
        padding: 0 100px;
    }

    .hr-line {
        margin: auto;
    }

    .single-table{
        border: 1px solid #ddd;
        box-shadow: 1px 10px 8px #ddd;
        margin-bottom: 40px;
        background: #fff;
        position: relative;
        z-index: 1;
    }

    .single-table-info {
        padding: 20px;
    }

    h4 {
        color: #226db8;
    }
}

/* ==============
End of Services Section 
============== */

/*--------------------------------*/

/* ==============
Project Focus Section 
============== */
.project-focus-section {
    padding: 50px 100px;

    .title {text-align: center;}
    
    h1 {margin-bottom: 15px;}

    p {margin-top: 15px;}

    .hr-line {
        margin: auto;
    }

    .icon {
        font-size: 65px;
    }

    .title {
        margin-bottom: 30px;
    }
    .single-table {
        background: #12243C;
        color: #f9f9f9;
        border: 1px solid #ddd;
        border-radius: 15px;
        text-align: center;
        position: relative;
        overflow: hidden;
        margin: 15px 0;
        padding: 45px 35px 30px 35px;
    }

    .table-head {
        padding-bottom: 30px;
    }

    .cute-underline {
        font-size: 18px;
        font-weight: 600;
        color: #4E97E0;
        text-decoration: none;
        position: relative;
    }

    .cute-underline::after {
        content: '';
        position: absolute;
        left: 0;
        bottom: -3px; 
        height: 2px;
        background-color: #f9f9f9; 
        transition: width 0.3s ease; 
      }
      
    .cute-underline:hover::after {
        width: 100%; 
    }

    .cute-underline:hover {
        color: #f9f9f9 !important;
    }
}

.projects-title {
    padding: 50px 100px;
}

.projects-page {
    padding: 50px 100px;
    background-color: #12243c20;
    
    h3 {margin-bottom: 15px;}
    h6 {margin-bottom: -3px;}

    h2, h6, .icon {
        color: #f9f9f9;
    }

    .icon { font-size: 20px;}

    .hr-line {
        margin: auto;
        margin-top: 15px;
        margin-bottom: 15px;
    }
    
    .single-table{
        background-color: #12243C;
        color: #f9f9f9;
        border-radius: 10px;
        padding: 30px;
        position: relative;
        overflow: hidden;
        margin: 10px 0;
        transition: all 0.3s ease-in-out;
        margin-bottom: 30px;
    }

    .table-head {
        position: relative;
        text-align: center;
        align-items: center;
        padding: 10px;
    }

    .single-table p {
        margin-bottom: 0 !important;
        font-size: 14px;
    }

    .title {
        text-align: center;
        margin-bottom: 30px;
    }

    .title p {  
        margin-bottom: 30px;
        text-align: center;}

    .promo-box-style-one {
        position: relative;
        padding: 25px 60px;
        border: 1px solid #e1e1e1;
        background: #ffffff;
        margin: 60px 0 0 -35px;
        z-index: 1;
    }

    .image-hover-style-one-wrap {
        position: relative;
        transition: all 1.5s ease .1s;
    }

    .image-hover-style-one {
        position: relative;
        margin-bottom: 25px;
    }

    .projects-details-image {
        text-align: center;
        margin-bottom: 40px;
    }

    .projects-details-image img {
        border-radius: 5px;
    }

    img {
        max-width: 100%;
        height: auto;
        border-radius: 5px;
    }

    .features-text {
        padding-top: 30px;
    }

    .projects-widget .widget:first-child {
        margin-top: 0;
    }
    .projects-widget .widget {
        padding: 30px 25px;
        border-radius: 5px;
        background-color: rgb(11, 11, 49, 0.05);
        margin-top: 35px;
    }

    .projects-widget .widget .widget-title {
        position: relative;
        padding-bottom: 15px;
        text-transform: capitalize;
        border-bottom: 5px solid #4E97E0;
        margin-bottom: 30px;
    }

    .projects-widget .widget_categories ul {
        margin-bottom: 0;
    }

    .projects-widget .widget_categories ul li {
        position: relative;
        color: #747576;
        font-size: 15px;
        font-weight: 600;
        margin-bottom: 12px;
    }

    .projects-widget .widget_categories ul li a {
        display: block;
        color: #f9f9f9;
        font-size: 15px;
        font-weight: 600;
        padding: 12px 15px;
        border-radius: 5px;
        background-color: #4E97E0;
    }

    .projects-widget .widget_categories a:hover {
        background-color: #226db8;
    }

    .widget_categories a.active-link {
        background-color: #12243C !important; /* Higher specificity and !important */
        color: #fff !important;
        border-radius: 5px;
        padding: 5px 10px;
    }

}

.projects-contents {
    padding: 50px 100px;

    .auto-container {
        position: static;
        max-width: 1200px;
        padding: 0px 15px;
        margin: 0 auto;
    }

    .hide {
        display: none !important;
    }
    

    .portfolio-filter-menu ul {
        list-style-type: none;
        margin-bottom: 35px;
        padding: 0;
    }

    ul, li {
        margin: 0;
        padding: 0;
        list-style: none;
    }

    .portfolio-filter-menu ul li:hover, .portfolio-filter-menu ul li.active {
        background: #4E97E0;
        border-color: #4E97E0;
        color: #fff;
    }
    .portfolio-filter-menu ul li {
        border: 1px solid #ddd;
        cursor: pointer;
        display: inline-block;
        font-size: 14px;
        color: #333;
        font-weight: 500;
        margin-left: -5px;
        margin-bottom: 20px;
        padding: 8px 60px;
        text-transform: uppercase;
        position: relative;
        background: #fff;
        -webkit-transition: all 0.4s ease 0s;
        -moz-transition: all 0.4s ease 0s;
        -o-transition: all 0.4s ease 0s;
        transition: all 0.4s ease 0s;
    }

    .portfolio-filter-menu ul li.active:after, .portfolio-filter-menu ul li:hover:after {
        border-top: 15px solid #4E97E0;
    }
    .portfolio-filter-menu ul li:after {
        content: "";
        position: absolute;
        top: 100%;
        left: 42%;
        border-top: 15px solid transparent;
        border-left: 15px solid transparent;
        border-right: 15px solid transparent;
        -webkit-transition: all 0.4s ease 0s;
        -moz-transition: all 0.4s ease 0s;
        -o-transition: all 0.4s ease 0s;
        transition: all 0.4s ease 0s;
    }

    .img-fluid {
        margin-bottom: 15px;
    }

    .projects-title {
        padding: 50px 100px;
    
        p{
            margin: 15px;
            text-align: center;}
    }
    
    .portfolio-image-container {
        position: relative;
        overflow: hidden;
    }
    
    .portfolio-image-container img {
        width: 100%;
        height: auto;
        display: block;
    }
    
    .portfolio-details {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        background: rgba(0, 0, 0, 0.6);
        color: #fff;
        opacity: 0;
        transition: opacity 0.5s ease;
    }
    
    .portfolio-image-container:hover .portfolio-details {
        opacity: 1;
    }
    
    .portfolio-details h3 {
        margin: 0;
        font-size: 1.5rem;
    }
    
    .portfolio-details p {
        margin: 5px 0 0;
        font-size: 1rem;
    }
}

/* ==============
End of Project Focus Section 
============== */

/*--------------------------------*/

/* ==============
Contact Us Page
============== */
.contact-us-page {
    padding: 50px 100px;

    .title {text-align: center;
        margin-bottom: 80px;}
    
    h1 {margin-bottom: 15px;}

    .hr-line {
        margin: auto;
    }

    .contact-form h1, .contact-persons h1 {
        font-weight: normal;
    }

    p {
        text-align: left;
        margin-bottom: 30px;
    }

    .form-label {
        font-weight: bold;
    }

    .form-control {
        border-radius: 5px;
    }

    .contact-form .btn {
        margin-top: 30px;
        padding: 10px 20px;
        background-color: #4E97E0;
        color: #f9f9f9;
    }

    .btn:hover {
        background-color: #001026;
        color: #f9f9f9;
    }

    .img-person img {
        border: none;
        border-radius: 50%;
        width: 100px;
        height: 100px;
        object-fit: cover;
    }

    .content-caption {
        margin-top: 0;
        margin-bottom: 0 !important;
    }

    .contact-number {
        font-style: italic;
        color: #226db8;
    }

}
/* ==============
End of Contact Us Page
============== */